package kdf
All checked builds pass sectionYPositions = computeSectionYPositions($el), 10)"
x-init="setTimeout(() => sectionYPositions = computeSectionYPositions($el), 10)"
>
On This Page
Key Derivation Functions: HKDF RFC 5869, PBKDF RFC 2898, SCRYPT RFC 7914
Install
dune-project
Dependency
Authors
Maintainers
Sources
kdf-1.1.2.tbz
sha256=a327e1daab2d367d75b2fba85f5e827886295225f94c09e68e24a2e2a7508100
sha512=1f644f6a3dc734d981e1867ad6b5662c0d5e10b71b02029f7998cb54aaf037f2e03e9b5f1562e98862ba3d492d5b78b898d126fab46ed030653adbb43ff509dd
Description
A pure OCaml implementation of scrypt, PBKDF 1 and 2 as defined by PKCS#5, and HKDF.
Added to opam-repository:
Dependencies (4)
-
mirage-crypto
>= "1.0.0" -
digestif
>= "1.2.0" -
dune
>= "1.8.0" -
ocaml
>= "4.13.0"
Optional Dependencies
None
Used by (5)
-
builder-web
>= "0.2.0" - curve448
- hpke
-
tls
>= "1.0.4" -
x509
>= "1.0.6"
Conflicts
None
Build status
Results of building kdf with each compiler on check.ci.ocaml.org, run of against opam-repository 7cdc698. All results for this package.
Each result links to its build log. To keep crawlers from overloading the site, build logs require a GitHub sign-in (see ocurrent/opam-health-check). On your first log, GitHub asks you to “Authorize opam-health-check”, the OCurrent app that runs these checks; it sees only your public profile, not your repositories. The sign-in lasts 30 days.
| Version | OCaml 4.11 | OCaml 4.14 | OCaml 5.2 | OCaml 5.4 | OCaml 5.5 |
|---|---|---|---|---|---|
| 1.1.2 (this version) | n/a | good | good | good | good |
- good Package successfully built
- partial One of the dependencies failed to build
- bad Package failed to build
- n/a Package is not available in this environment
- internal Internal failure
sectionYPositions = computeSectionYPositions($el), 10)"
x-init="setTimeout(() => sectionYPositions = computeSectionYPositions($el), 10)"
>
On This Page